<?php

$token = "7548000196:AAEqev1Z9a-YbAK5mpezosoDIWNVuBXg9Jg";
$apiUrl = "https://api.telegram.org/bot$token/";

// خواندن اطلاعات ورودی
$update = json_decode(file_get_contents("php://input"), true);

// بررسی اینکه پیام از چت خصوصی یا کانال ارسال شده است
if (isset($update["message"])) {
    $chatId = $update["message"]["chat"]["id"];
    $messageId = $update["message"]["message_id"];
    $text = $update["message"]["text"];
} elseif (isset($update["channel_post"])) {
    $chatId = $update["channel_post"]["chat"]["id"];
    $messageId = $update["channel_post"]["message_id"];
    $text = $update["channel_post"]["text"];
} else {
    exit;
}

// متوقف کردن کد اگر "ssss" در متن وجود داشت
if (strpos($text, "ssss") !== false) {
    exit;
}

if (strpos($text, "سروری که خریداری کردید رو کپی کنید") !== false) {
    exit;
}

if (strpos($text, "تعداد") !== false) {
    exit;
}

if (strpos($text, "اشتراک") !== false) {
    exit;
}


if (strpos($text, "شمارش") !== false) {
    // شمارش تعداد "vless" در متن
    $count = substr_count($text, "vless");
    $reply = $count;  // فقط عدد شمارش را برمی‌گرداند
} else {
    // شمارش تعداد کاراکترهای متن با استفاده از mb_strlen
    $length = mb_strlen($text, 'UTF-8');
    $reply = $length;  // فقط تعداد کاراکترها را برمی‌گرداند
}

// ارسال عدد شمارش به چت
$response = json_decode(file_get_contents($apiUrl . "sendMessage?chat_id=$chatId&text=" . urlencode($reply)), true);
$replyMessageId = $response['result']['message_id'];

// تنظیم تاخیر ۳ ثانیه‌ای برای حذف پیام‌ها
sleep(3);

// حذف پیام کاربر یا پست کانال
file_get_contents($apiUrl . "deleteMessage?chat_id=$chatId&message_id=$messageId");

// حذف پیام شمارش
file_get_contents($apiUrl . "deleteMessage?chat_id=$chatId&message_id=$replyMessageId");

?>